Package org.codehaus.groovy.macro.runtime

## Enum MacroStub

- java.lang.Object
- - java.lang.Enum<MacroStub>
  - - org.codehaus.groovy.macro.runtime.MacroStub

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MacroStub>`

      public enum MacroStub
      extends java.lang.Enum<MacroStub>

  Stub for macro calls.
  Since:
    2.5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INSTANCE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `macroMethod​(T obj)` |
    `static MacroStub` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MacroStub[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final MacroStub INSTANCE

  - ### Method Detail

    - #### values

          public static MacroStub[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MacroStub c : MacroStub.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MacroStub valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### macroMethod

          public <T> T macroMethod​(T obj)